> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aptlystar.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# API to send message to bot



## OpenAPI

````yaml api-reference/openapi-1.json post /api/v1/bot/{id}/chat
openapi: 3.0.1
info:
  title: '@fastify/swagger'
  version: 8.15.0
servers:
  - url: https://app.aptlystar.ai
security: []
paths:
  /api/v1/bot/{id}/chat:
    post:
      tags:
        - Bot
      summary: API to send message to bot
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
        - name: Authorization
          in: header
          required: true
          schema:
            type: string
      requestBody:
        content:
          '*/*':
            schema:
              required:
                - message
              type: object
              properties:
                message:
                  type: string
                history:
                  type: array
                history_id:
                  type: string
                stream:
                  type: boolean
        required: false
      responses:
        '200':
          description: Default Response
          content: {}

````